Subject: Re: linux-next: manual merge of the rdma tree with the nfs-anna tree

From: Stephen Rothwell <[email-masked]>
Date: Sun, 30 Dec 2018 12:48:47 +1100

Hi all,

On Mon, 24 Dec 2018 14:13:52 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the rdma tree got a conflict in:
> 
>   net/sunrpc/xprtrdma/fmr_ops.c
> 
> between commit:
> 
>   d31f8deac38d ("xprtrdma: Remove support for FMR memory registration")
> 
> from the nfs-anna tree and commit:
> 
>   3023a1e93656 ("RDMA: Start use ib_device_ops")
> 
> from the rdma tree.
> 
> I fixed it up (the former removed the file, so I did that) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

This is now a conflict between the nfs-anna tree and Linus' tree.
-- 
Cheers,
Stephen Rothwell